import 'package:equatable/equatable.dart';
import 'package:wyatt_clean_code/core/errors/exceptions.dart';
import 'package:wyatt_type_utils/wyatt_type_utils.dart';

// ignore: one_member_abstracts
abstract class UseCase<Type, Params> {
  Future<Result<Type, AppException>> call(Params params);
}

class NoParams extends Equatable {
  @override
  List<Object> get props => [];
}
